<html>
<head>
<title>OGRE: Ogre::ResourceBackgroundQueue::Request Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>::<a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html">Request</a></div>
<h1>Ogre::ResourceBackgroundQueue::Request Struct Reference</h1><!-- doxytag: class="Ogre::ResourceBackgroundQueue::Request" -->Encapsulates a queued request for the background queue.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ResourceBackgroundQueue_1_1Request-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#37687751934abc52628e37889d1e53ad">ticketID</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b745">RequestType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#718f6a7a5ecfaf3320cac961ba9017e6">type</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#71fadcee8894055990384ba36f7535a6">resourceName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#e49ecc343c07587405753c5a7ba3cb98">resourceHandle</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#1786799d040b8c30ef8f72de8dfff224">resourceType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#1bd93d793e4c91bc17b543a1dda2dfef">groupName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#05161e514f2eea6b2a5db9691244cefa">isManual</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#f80ae4cc37771f219d39e7e769aff83c">loader</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#49c4d120787ff237299147bb1ee6b7f5">loadParams</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#692b07a3043994b968c663a31f8d9e97">listener</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Encapsulates a queued request for the background queue. 
<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00133">133</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="37687751934abc52628e37889d1e53ad"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::ticketID" ref="37687751934abc52628e37889d1e53ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b2b14cbcb50e07bda644e2e610df8373">BackgroundProcessTicket</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#37687751934abc52628e37889d1e53ad">Ogre::ResourceBackgroundQueue::Request::ticketID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00135">135</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="718f6a7a5ecfaf3320cac961ba9017e6"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::type" ref="718f6a7a5ecfaf3320cac961ba9017e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b745">RequestType</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#718f6a7a5ecfaf3320cac961ba9017e6">Ogre::ResourceBackgroundQueue::Request::type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00136">136</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="71fadcee8894055990384ba36f7535a6"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::resourceName" ref="71fadcee8894055990384ba36f7535a6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#71fadcee8894055990384ba36f7535a6">Ogre::ResourceBackgroundQueue::Request::resourceName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00137">137</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e49ecc343c07587405753c5a7ba3cb98"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::resourceHandle" ref="e49ecc343c07587405753c5a7ba3cb98" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#e49ecc343c07587405753c5a7ba3cb98">Ogre::ResourceBackgroundQueue::Request::resourceHandle</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00138">138</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1786799d040b8c30ef8f72de8dfff224"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::resourceType" ref="1786799d040b8c30ef8f72de8dfff224" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#1786799d040b8c30ef8f72de8dfff224">Ogre::ResourceBackgroundQueue::Request::resourceType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00139">139</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1bd93d793e4c91bc17b543a1dda2dfef"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::groupName" ref="1bd93d793e4c91bc17b543a1dda2dfef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#1bd93d793e4c91bc17b543a1dda2dfef">Ogre::ResourceBackgroundQueue::Request::groupName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00140">140</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="05161e514f2eea6b2a5db9691244cefa"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::isManual" ref="05161e514f2eea6b2a5db9691244cefa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#05161e514f2eea6b2a5db9691244cefa">Ogre::ResourceBackgroundQueue::Request::isManual</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00141">141</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f80ae4cc37771f219d39e7e769aff83c"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::loader" ref="f80ae4cc37771f219d39e7e769aff83c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a>* <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#f80ae4cc37771f219d39e7e769aff83c">Ogre::ResourceBackgroundQueue::Request::loader</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00142">142</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="49c4d120787ff237299147bb1ee6b7f5"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::loadParams" ref="49c4d120787ff237299147bb1ee6b7f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a>* <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#49c4d120787ff237299147bb1ee6b7f5">Ogre::ResourceBackgroundQueue::Request::loadParams</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00143">143</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="692b07a3043994b968c663a31f8d9e97"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Request::listener" ref="692b07a3043994b968c663a31f8d9e97" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a>* <a class="el" href="structOgre_1_1ResourceBackgroundQueue_1_1Request.html#692b07a3043994b968c663a31f8d9e97">Ogre::ResourceBackgroundQueue::Request::listener</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h-source.html#l00144">144</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceBackgroundQueue_8h-source.html">OgreResourceBackgroundQueue.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:30 2008
</p>
</body>
</html>
